> For the complete documentation index, see [llms.txt](https://docs.fluidplayer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluidplayer.com/pt/api/utility-api.md).

# API de utilitários

Você pode usar as funções documentadas aqui para alterar o comportamento do Fluid Player após a inicialização, bem como para aceder a diferentes funcionalidades e componentes internos do próprio Fluid Player.

### setHtmlOnPauseBlock

Se quiséssemos definir ou alterar o HTML configurado para isto, podemos fazê-lo usando o seguinte.

**html**: Este é o HTML que queremos mostrar quando o player estiver em pausa

**width**: A largura (em píxeis) do contêiner para este HTML

**height**: A altura (em píxeis) do contêiner para este HTML

```javascript
player.setHtmlOnPauseBlock({html: "<i>Este vídeo está em pausa</i>", width: 100, height: 50});
```

### destroy

Destrua esta instância do Fluid Player. Use este método para remover a instância do Fluid Player da página.

```javascript
player.destroy();
```

### dashInstance

Aceda à instância atual de [DASH.js](https://github.com/Dash-Industry-Forum/dash.js). Devolve `null` se o transmissor DASH não estiver em uso.

**NOTA:** evite armazenar a referência ao objeto devolvido por esta função. É possível que este objeto mude durante o ciclo de vida da instância do Fluid Player.

```javascript
player.dashInstance();
```

### hlsInstance

Aceda à instância atual de [HLS.js](https://github.com/video-dev/hls.js/). Devolve `null` se o transmissor HLS não estiver em uso.

**NOTA:** evite armazenar a referência ao objeto devolvido por esta função. É possível que este objeto mude durante o ciclo de vida da instância do Fluid Player.

```javascript
player.hlsInstance();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluidplayer.com/pt/api/utility-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
